package com.njcn.harmonic.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njcn.harmonic.pojo.po.RStatPollutionOrgQPO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 
 * Description:
 * 接口文档访问地址：http://serverIP:port/swagger-ui.html
 * Date: 2022/11/8  13:27【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface RStatPollutionOrgQPOMapper extends BaseMapper<RStatPollutionOrgQPO> {
    int updateBatch(List<RStatPollutionOrgQPO> list);

    int batchInsert(@Param("list") List<RStatPollutionOrgQPO> list);

    int insertOrUpdate(RStatPollutionOrgQPO record);

    int insertOrUpdateSelective(RStatPollutionOrgQPO record);
}